#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
    int t;
    cin >> t;
    while(t--){
        set<long long> s;
        long long n;
        long long ossz=1;
        cin >> n;
        if(n <= 10){
            cout << n << '\n';
            continue;
        }
        for(long long i=n;i>=1;i--){
            long long x = i;
            while(x > 1){
                ossz *= x%10;
                x/=10;
            }
            s.insert(ossz);
            ossz = 1;

        }
        cout << s.size() << '\n';
    }
    return 0;
}